#jinja2: lstrip_blocks: "True"
#---------------------------------------------------------------------
# Global settings
#---------------------------------------------------------------------
global
    log         127.0.0.1 local2

    chroot      /var/lib/haproxy
    pidfile     /var/run/haproxy.pid
    maxconn     4000
    user        haproxy
    group       haproxy
    daemon

    # turn on stats unix socket
    stats socket /var/lib/haproxy/stats level admin

    # utilize system-wide crypto-policies
    ssl-default-bind-ciphers PROFILE=SYSTEM
    ssl-default-server-ciphers PROFILE=SYSTEM

defaults
    mode                    http
    log                     global
    option                  httplog
    option                  dontlognull
    option http-server-close
    option forwardfor       except 127.0.0.0/8
    option                  redispatch
    retries                 3
    timeout http-request    10s
    timeout queue           1m
    timeout connect         10s
    timeout client          1m
    timeout server          1m
    timeout http-keep-alive 10s
    timeout check           10s
    maxconn                 3000

# Set up userlists here.
userlist default_users
  group admins users admin
  user admin insecure-password admin

listen stats 
        bind 0.0.0.0:22002
        mode http

        # Stats configuration
        stats hide-version
        stats enable
        stats uri /
        stats refresh 60s
        acl is_read_only_user http_auth(default_users)
        acl is_admin_user http_auth_group(default_users) admins
        stats refresh 60s
        stats http-request auth realm HAProxy\ Statistics unless is_read_only_user
        stats admin if is_admin_user

frontend www-http-web
        bind {{ keepalived_virtualip }}:80

        # Default backend
        default_backend web

backend web
{% for host in groups['webservers'] %}
        server {{ hostvars[host]['ansible_hostname'] }} {{ hostvars[host]['ansible_default_ipv4']['address'] }}:80 check
{% endfor %}
        balance roundrobin
        
        http-request set-header X-Forwarded-Port %[dst_port]
        http-request add-header X-Forwarded-Proto https if { ssl_fc }        
